Next: INDEX intrinsic, Previous: IERRNO, Up: Intrinsic Procedures

### 8.147 `IMAGE_INDEX` — Function that converts a cosubscript to an image index

Description:
  Returns the image index belonging to a cosubscript.
Standard:
  Fortran 2008 and later
Class:
  Inquiry function.
Syntax:
  `RESULT = IMAGE_INDEX(COARRAY, SUB)`
Arguments:

  COARRAY | Coarray of any type.
  SUB | default integer rank-1 array of a size equal to the corank of COARRAY.

Return value:
  Scalar default integer with the value of the image index which corresponds to the cosubscripts. For invalid cosubscripts the result is zero.
Example:

                INTEGER :: array[2,-1:4,8,*]
                ! Writes  28 (or 0 if there are fewer than 28 images)
                WRITE (*,*) IMAGE_INDEX (array, [2,0,3,1])

See also:
  THIS_IMAGE, NUM_IMAGES